SDL Library Documentation
Prev |  | Next

# SDL_CreateThread

## Name

SDL_CreateThread -- Creates a new thread of execution that shares its parent's properties.

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``SDL_Thread *SDL_CreateThread`(int (*fn)(void *), void *data);`

## Description

`SDL_CreateThread` creates a new thread of execution that shares all of its parent's global memory, signal handlers, file descriptors, etc, and runs the function `fn` passed the void pointer `data` The thread quits when this function returns.

## See Also

`SDL_KillThread`

Prev | Home | Next
Multi-threaded Programming | Up | SDL_ThreadID